#524 Dialog topology_hiding does not strip all VIAs on PRACK

1.8.x
closed-postponed
modules (454)
5
2012-05-16
2012-05-11
Ryan Bullock
No

When using topology_hiding PRACKs within the dialog do not get all of their via headers stripped (in messages with two vias I only see the topmost get removed). These additional vias then get add to replies by the far end, and when the dialog module re-adds the via headers it previously stripped you get a doubling of via headers which causes odd interop issues.

I can provide example captures via email.

Opensips Info:
version: opensips 1.8.0-beta-notls (x86_64/linux)
flags: STATS: Off, USE_IPV6, USE_TCP, DISABLE_NAGLE, USE_MCAST, SHM_MEM, SHM_MMAP, PKG_MALLOC, F_MALLOC, FAST_LOCK-ADAPTIVE_WAIT
ADAPTIVE_WAIT_LOOPS=1024, MAX_RECV_BUFFER_SIZE 262144, MAX_LISTEN 16, MAX_URI_SIZE 1024, BUF_SIZE 65535
poll method support: poll, epoll_lt, epoll_et, sigio_rt, select.
svnrevision: 2:8890M
@(#) $Id: main.c 8772 2012-03-08 11:16:13Z bogdan_iancu $
main.c compiled on 21:28:30 May 8 2012 with gcc 4.4.6

Includes patches from Bug #3525729 and Bug #3523408.

Thanks.

Discussion

  • Hello Ryan,

    I have just tried to replicate your scenario, PRACK reached OpenSIPS with two vias, the both got removed & OpenSIPS added it's own, so I cannot seem to obtain your bogus behavior.

    Can you please attach here ( or via email ) the SIP trace and the OpenSIPS full debug for your scenario ?

    Regards,
    Vlad

     
    • assigned_to: nobody --> vladut-paiu
    • status: open --> open-accepted
     
  • Hello,

    Any info on this? If possible, please provide an OpenSIPS full debug log.

    Regards,
    Vlad

     
  • Ryan Bullock
    Ryan Bullock
    2012-05-16

    I can't reproduce this in my lab, and have only run into it when trying to go live with topology hiding in production. Unfortunately I can't run debugs in production because of the performance overhead.

    I am closing this for now, at least until I can figure out how to reproduce it in a test environment.

    Thanks for the help.

     
  • Ryan Bullock
    Ryan Bullock
    2012-05-16

    • status: open-accepted --> closed-postponed